 /***************************************************************************\
 * ThyAPI - About Window                                                     *
 * http://www.thyamad.com                                                    *
 *                                                                           *
 * Copyright (C) 2005 - Raphael Derosso Pereira, Vinicius Cubas Brand        *
 * Based on DynAPI v3.0b1                                                    *
 * ------------------------------------------------------------------------- *
 *  This library is free software; you can redistribute it and/or modify it  *
 *  under the terms of the GNU Lesser General Public License as published    *
 *  by the Free Software Foundation; either version 2.1 of the License,      *
 *  or any later version.                                                    *
 *  This library is distributed in the hope that it will be useful, but      *
 *  WITHOUT ANY WARRANTY; without even the implied warranty of               *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                     *
 *  See the GNU Lesser General Public License for more details.              *
 \***************************************************************************/

	/**
	 * Class: thyAbout
	 *
	 *	The ThyAPI About Window
	 */
	function thyAbout()
	{
		var self = this;

		this.thyWindow = thyWindow;
		this.thyWindow('thyAbout');

		this.aboutText = new thyPanel('thyAbout_aboutText');
		this.aboutImage = new thyPanel('thyAbout_aboutImage');

		this.setTitle('About ThyAPI');

		this.addChild(this.aboutText);
		this.addChild(this.aboutImage);

		this.fillContent();
	}

	p = dynapi.setPrototype('thyAbout','thyWindow');

	p.fillContent = function()
	{
		this.aboutImage.setHTML('<a href="http://thyapi.thyamad.com"><img src="'+dynapi.library.path+'/thybase/logothyapi.png" border="0"></a>');
		this.aboutText.setHTML('<b><a href="http://thyapi.thyamad.com">ThyAPI</a></b> is a <b>library of DHTML User Interface components</b>.<br/><br/>It provides <b>RAD development</b> of <b>web-based applications</b>, and a <b>desktop look-and-feel in browser</b>.<br/><br/>ThyAPI is an Open-Source project, licensed under the LGPL.<br/><br/>ThyAPI is a project supported by <a href="http://www.thyamad.com">Thyamad Projects</a>.');
	}


